<!--
  Generated template for the ReportProblemPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Report a Problem</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div class="text-center pad-all-10 form" padding>
		<h2 class="pad-all-10">Please let us know what went wrong with your ride.</h2> 

		<ion-item *ngIf="user_type == 2">
			<ion-select [(ngModel)]="reason" placeholder="Select Main Issue">
				<ion-option value="Ride did not happen">Ride did not happen</ion-option>
				<ion-option value="Driver was inappropiate">Driver was inappropiate</ion-option>
				<ion-option value="Ride was not expected">Ride was not as expected</ion-option> 
				<ion-option value="Other">Other</ion-option>
			</ion-select> 
		</ion-item>
		<ion-item *ngIf="user_type == 1">
			<ion-select [(ngModel)]="reason" placeholder="Select Main Issue">
				<ion-option value="Passenger did not show up">Passenger did not show up</ion-option>
				<ion-option value="Passenger was inappropiate">Passenger was inappropiate</ion-option>
				<ion-option value="Passenger was too late">Passenger was very late</ion-option> 
				<ion-option value="Other">Other</ion-option>
			</ion-select> 
		</ion-item>
		<ion-item class="pad-all-10">
			<h2>Please provide us with additional details</h2>
			<ion-textarea ([ngModel])="body" rows="6" cols="1" placeholder=""></ion-textarea>
		</ion-item>
	
		<button ion-button block class="bg-theme text-white btn rounded" (click)="submit()">Send Report</button>
	</div>
</ion-content>
